nx_server_plugin_sdk 1.0 Server Plugin SDK

Public Types | Public Member Functions | List of all members
nxcip::CameraDiscoveryManager3 Class Referenceabstract
Inheritance diagram for nxcip::CameraDiscoveryManager3:

## Public Types
enum | Capability { noCapability = 0, findLocalResources = 1 }

## Public Member Functions
virtual int | getCapabilities () const =0
Public Member Functions inherited from nxcip::CameraDiscoveryManager2
virtual int | checkHostAddress2 (nxcip::CameraInfo2 *cameras, const char *address, const char *login, const char *password)=0
virtual int | findCameras2 (CameraInfo2 *cameras, const char *serverURL)=0
Public Member Functions inherited from nxcip::CameraDiscoveryManager
virtual void | getVendorName (char *buf) const =0
| Returns utf-8 camera vendor name. More...
virtual int | findCameras (CameraInfo *cameras, const char *serverURL)=0
| Vendor-specific camera search method. Returns list of found cameras. More...
virtual int | checkHostAddress (CameraInfo *cameras, const char *address, const char *login, const char *password)=0
| Check host for camera presence. More...
virtual int | fromMDNSData (const char *discoveryAddress, const unsigned char *mdnsResponsePacket, int mdnsResponsePacketSize, CameraInfo *cameraInfo)=0
| MDNS camera search method. More...
virtual int | fromUpnpData (const char *upnpXMLData, int upnpXMLDataSize, CameraInfo *cameraInfo)=0
| UPNP camera search method. More...
virtual BaseCameraManager * | createCameraManager (const CameraInfo &info)=0
| Instantiates camera manager instance based on info. More...
virtual int | getReservedModelList (char **modelList, int *count)=0
| Get model names, reserved by the plugin. More...
Public Member Functions inherited from nxpl::PluginInterface
virtual void * | queryInterface (const nxpl::NX_GUID &interfaceID)=0
| Cast to type, specified by interfaceID. More...
virtual int | addRef () const =0
| Increment reference counter. More...
virtual int | releaseRef () const =0
| Decrement reference counter. More...

The documentation for this class was generated from the following file:

- src/camera/camera_plugin.h